# Generated by Django 3.2.2 on 2022-06-27 16:12

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default='NO NAME', max_length=64, verbose_name='名称')),
                ('avatar', models.URLField(blank=True, default='', max_length=256, verbose_name='头像')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, related_name='linktree_account', to=settings.AUTH_USER_MODEL, verbose_name='网站用户')),
            ],
            options={
                'verbose_name': '帐号',
                'verbose_name_plural': '帐号',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Platform',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='名称')),
                ('url', models.URLField(blank=True, default='', max_length=256, verbose_name='URL地址')),
                ('logo', models.CharField(blank=True, default='', max_length=256, verbose_name='logo')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
            ],
            options={
                'verbose_name': '平台',
                'verbose_name_plural': '平台',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(blank=True, default='', max_length=256, verbose_name='URL地址')),
                ('avatar', models.URLField(blank=True, default='', max_length=256, verbose_name='头像')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='links', to='linktree.account', verbose_name='帐号')),
                ('platform', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='links', to='linktree.platform', verbose_name='平台')),
            ],
            options={
                'verbose_name': '社链',
                'verbose_name_plural': '社链',
                'ordering': ('-create_time',),
                'unique_together': {('account', 'platform')},
            },
        ),
    ]
